#!/usr/bin/env python

import sys,os
import dbus

class MainApp():
    def __init__(self):
        artist = sys.argv[1]
        filename = sys.argv[3]
        songtitle = sys.argv[4]
        length = sys.argv[6]
        if artist == '':
            artist = 'Unknown Artist'
        if songtitle == '':
            songtitle   = 'Unknown Track'
        filename = os.path.basename(filename)
        bus = dbus.SessionBus()
        notify_service = bus.get_object('org.freedesktop.Notifications','/org/freedesktop/Notifications')
        notify_interface = dbus.Interface(notify_service, 'org.freedesktop.Notifications')
        notify_interface.Notify('MOC-Notifier', 0, '', 'Gerade laeuft '+ filename, artist+ ' - ' + songtitle +' ('+length+ ')',[],{},-1) 

if __name__ == '__main__':
    main = MainApp()
    quit()